ChangeSet 1.1339, 2003/06/09 15:50:05-07:00, greg@kroah.com

PCI: remove pci_present() from drivers/net/hp100.c


 drivers/net/hp100.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)


diff -Nru a/drivers/net/hp100.c b/drivers/net/hp100.c
--- a/drivers/net/hp100.c	Tue Jun 10 11:20:54 2003
+++ b/drivers/net/hp100.c	Tue Jun 10 11:20:54 2003
@@ -405,7 +405,7 @@
 	/* First: scan PCI bus(es) */
 
 #ifdef CONFIG_PCI
-	if (pci_present()) {
+	{
 		int pci_index;
 		struct pci_dev *pci_dev = NULL;
 		int pci_id_index;
@@ -2973,8 +2973,10 @@
 {
 	int i, cards;
 
-	if (hp100_port == 0 && !EISA_bus && !pci_present())
+#ifndef CONFIG_PCI
+	if (hp100_port == 0 && !EISA_bus)
 		printk("hp100: You should not use auto-probing with insmod!\n");
+#endif
 
 	/* Loop on all possible base addresses */
 	i = -1;
